%bcond_without check

%global goipath         github.com/c-bata/go-prompt
Version:                0.2.6

%gometa

%global common_description %{expand:
A library for building powerful interactive prompts inspired by
python-prompt-toolkit, making it easier to build cross-platform command line
tools using Go.}

%global golicenses      LICENSE
%global godocs          _example CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Building powerful interactive prompts in Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(github.com/pkg/term/termios)
BuildRequires:  golang(golang.org/x/sys/unix)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in _tools/sigwinch _tools/vt100_debug _tools/complete_file; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
